<id>
/you Feature
</id>

<version>
0.1d
</version>

<mod info>
This mod implements a /you feature into your YaBBC code.  When you use the /you feature, it will print the name of the person reading the topic.  This mod also implements a feature called /you-me, which will print the name of the person reading the topic in the same manner that the /me tag prints the name of the person that wrote the topic.  In other words, if you use the /you-me tag, it will print the user's name in red italics.

Installation Instructions:
Apply this modification manually or by using BoardMod.  This modification is set to modify ubbc.js.  If you simply unzipped your YaBB 2.1 package and have not moved your files at all, BoardMod should automatically locate your ubbc.js file.  If your "public_html" folder is not present within your YaBB 2.1 directory, then BoardMod will not automatically locate your ubbc.js file.  You will need to copy your ubbc.js file into the directory in which your YaBB.pl file resides, and then apply the "you_feature_y2_01d_alt" mod instead of this one.

Upload the following modified files:
/public_html/yabbfiles/ubbc.js
/cgi-bin/yabb2/Sources/YaBBC.pl
/cgi-bin/yabb2/Sources/Post.pl
/cgi-bin/yabb2/Admin/ModList.pl
/cgi-bin/yabb2/Admin/AdminEdit.pl
/cgi-bin/yabb2/Admin/AdminSubList.pl
/cgi-bin/yabb2/AdminIndex.pl

Upload the following new files (included in this mod package):
/cgi-bin/yabb2/Variables/YouSettings.txt
/cgi-bin/yabb2/Languages/English/You.lng
/public_html/yabbfiles/ModImages/you_buttons/*.*

This is the YaBB2 version of this mod.

Changelog:
From 0.1c
Added a /you button to Post page.
From 0.1b
Fixed small bug that caused guests to see a blank space in place of any sort of username.  They will now simply see the word "Guest" in place of their username.
From 0.1a
Changed the original /you tag to be /you-me now.  The /you-me tag will now print the reader's display name exactly the way the /me tag does.  In other words, if you use the /you-me tag, it will print the reader's display name in red italics.
Added a new tag, which is simply /you.  This will simply print the reader's display name with no extra formatting whatsoever.
</mod info>

<author>
Curtiss Grymala
</author>

<homepage>
http://dchelp.dcevolution.net/
</homepage>

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~\/me\s+(.*)~<span style="color: #FF0000;"><i>* $displayname $1</i></span>~ig;
</search for>

<add after>
	if (${$uid.$username}{'realname'} eq '') {
		$message =~ s~\/you-me\s+(.*)~<span style="color: #FF0000;"><i>* Guest $1</i></span>~ig; 
		$message =~ s~\/you\s+(.*)~Guest $1~ig; 
	}
	else {
		$message =~ s~\/you-me\s+(.*)~<span style="color: #FF0000;"><i>* ${$uid.$username}{'realname'}  $1</i></span>~ig; 
		$message =~ s~\/you\s+(.*)~${$uid.$username}{'realname'} $1~ig; 
	}
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$you_feature_mod = "You Feature|Curtiss Grymala|This mod implements a /you feature into your YaBBC code.  When you use the /you feature, it will print the name of the person reading the topic.  This mod also implements a feature called /you-me, which will print the name of the person reading the topic in the same manner that the /me tag prints the name of the person that wrote the topic.  In other words, if you use the /you-me tag, it will print the user's name in red italics.|0.1d|11-25-2005";
	push (@installed_mods, "$you_feature_mod");
</add before>

<edit file>
ubbc.js
</edit file>

<search for>
function me() {
	AddText("/me");
}
</search for>

<add after>
function you() {
	AddText("/you");
}

function youme() {
	AddText("/you-me");
}
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
          document.write("<img src='$defaultimagesdir/me.gif' onclick='me();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0' />");
</search for>

<add after>
~;

	# Begin /you Feature Code

	fopen(FILE, "$vardir/YouSettings.txt");
		$thedata = <FILE>;
	fclose(FILE);
	($you_val,$you_button,$you_tag) = split (/\|/, $thedata); 
	$you_dir .= qq~$modimgurl/you_buttons/$you_button/you.gif~;

if($you_val eq 'yes') {
	if($you_tag eq 'you') {
	$yymain .= qq~          document.write("<img src='$you_dir' onclick='you();' "+HAND+" align='top' width='23' height='22' alt='$you_txt{'5'}' title='$you_txt{'5'}' border='0' />");~;
	}
	elsif($you_tag eq 'you-me') {
	$yymain .= qq~          document.write("<img src='$you_dir' onclick='youme();' "+HAND+" align='top' width='23' height='22' alt='$you_txt{'6'}' title='$you_txt{'6'}' border='0' />");~;
	}
}

	# End /you Feature Code

$yymain .= qq~
</add after>

<search for>
LoadLanguage("FA");
</search for>

<add after>
LoadLanguage("You");
</add after>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###

</search for>

<add before>
$you_mod = "you_mod|/you Feature Settings|Edit Your /you Feature Settings|";
push (@boardmod_mods, "$you_mod");
</add before>

<edit file>
Admin/AdminEdit.pl
</edit file>

<search for>
LoadLanguage("Register");
</search for>

<add after>
LoadLanguage("You");
</add after>

<search for>
	$FORM{'agreement'} =~ s~\n\Z~~;
	fopen(AGREE, ">$langdir/$agreementlanguage/agreement.txt");
	print AGREE $FORM{'agreement'};
	fclose(AGREE);
	$yySetLocation = qq~$adminurl~;
	&redirectexit;
}
</search for>

<add after>
sub ModifyYouSettings {
	&is_admin_or_gmod;
	my( $yousettings, $line );
fopen(YOUSETTINGS, "$vardir/YouSettings.txt");
	$thedata = <YOUSETTINGS>;
fclose(YOUSETTINGS);
($you_val,$you_button,$you_tag) = split (/\|/, $thedata); 
$yymain .= qq~
<table>
  <tr valign="top">
    <td class="titlebg" align="left" colspan="2">
	<form action="$adminurl?action=you2" method="post">
      <img src="$imagesdir/xx.gif" alt="$you_txt{'1'}" border="0" />
      <b>$you_txt{'1'}</b>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      <b>$you_txt{'9'}</b>
    </td>
    <td class="windowbg3">
      <input type="checkbox" name="you_val" value="yes"~;
if($you_val eq 'yes') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $you_txt{'2'}
    </td>
    <td class="windowbg3" align="left">
      <table>
	<tr>
		<td>
			<input type="radio" name="you_button" value="blue"~;
if($you_button eq 'blue') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td>
			<img src="$modimgurl/you_buttons/blue/you.gif" />
		</td>
	</tr>
	<tr>
		<td>
			<input type="radio" name="you_button" value="bronze"~;
if($you_button eq 'bronze') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td>
			<img src="$modimgurl/you_buttons/bronze/you.gif" />
		</td>
	</tr>
	<tr>
		<td>
			<input type="radio" name="you_button" value="gold"~;
if($you_button eq 'gold') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td>
			<img src="$modimgurl/you_buttons/gold/you.gif" />
		</td>
	</tr>
	<tr>
		<td>
			<input type="radio" name="you_button" value="silver"~;
if($you_button eq 'silver') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td>
			<img src="$modimgurl/you_buttons/silver/you.gif" />
		</td>
	</tr>
</table>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $you_txt{'3'}
    </td>
    <td class="windowbg3" align="left">
<table>
	<tr>
		<td>
      <input type="radio" name="you_tag" value="you"~;
if($you_tag eq 'you') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td align="left">
			$you_txt{'5'}
		</td>
	</tr>
	<tr>
		<td colspan="2" style="font-size: 10px;">
			$you_txt{'7'}&nbsp;$you_txt{'8'}
		</td>
	</tr>
	<tr>
		<td>
			<input type="radio" name="you_tag" value="you-me"~;
if($you_tag eq 'you-me') {
$yymain .= qq~ checked~;
}
$yymain .= qq~ />
		</td>
		<td align="left">
			$you_txt{'6'}
		</td>
	</tr>
	<tr>
		<td colspan="2" style="font-size:10px;">
			$you_txt{'7'}&nbsp;<span style="font-style:italic;color:#ff0000;">*$you_txt{'8'}</span>
		</td>
	</tr>
</table>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$you_txt{'4'}" name="YouSubmit" />
      </form>
    </td>
  </tr>
</table>
~;

	$yytitle = "$you_txt{'1'}";
	$action_area = "you_mod";
	&AdminTemplate;
	exit;
}

sub ModifyYouSettings2 {
	&is_admin_or_gmod;
	$you_val = $FORM{'you_val'};
	$you_button = $FORM{'you_button'};
	$you_tag = $FORM{'you_tag'};
	$you_set = "$you_val|$you_button|$you_tag";
fopen(YOUSETTINGS, ">$vardir/YouSettings.txt");
	print YOUSETTINGS $you_set;
fclose(YOU); 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;
}
</add after>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'modagreement2',"AdminEdit.pl&ModifyAgreement2",
</search for>

<add after>
'you_mod',"AdminEdit.pl&ModifyYouSettings",
'you2',"AdminEdit.pl&ModifyYouSettings2",
</add after>